Qt 5.9 | Qt 3D | C++ Classes | QInputAspect

Qt 5.9.9 Reference Documentation

# QInputAspect Class

(Qt3DInput::QInputAspect)

Responsible for creating physical devices and handling associated jobs. More...

Header: | #include <QInputAspect>
qmake: | QT += 3dinput
Since: | Qt 5.5
Inherits: | Qt3DCore::QAbstractAspect

- List of all members, including inherited members

## Public Functions

| QInputAspect(QObject *parent = nullptr)
QStringList | availablePhysicalDevices() const
QAbstractPhysicalDevice * | createPhysicalDevice(const QString &name)

### Additional Inherited Members

- 5 protected functions inherited from Qt3DCore::QAbstractAspect

## Detailed Description

Responsible for creating physical devices and handling associated jobs.

Handles mapping between front and backend nodes

QInputAspect is responsible for creating physical devices. It is also the object responsible establishing the jobs to run at a particular time from the current input setup.

## Member Function Documentation

### QInputAspect::QInputAspect(QObject *parent = nullptr)

Constructs a new QInputAspect with parent.

### QStringList QInputAspect::availablePhysicalDevices() const

Returns a list of all available physical devices.

### QAbstractPhysicalDevice *QInputAspect::createPhysicalDevice(const QString &name)

Create a physical device identified by name using the input device integrations present returns a Q_NULLPTR if it is not found.

Note: caller is responsible for ownership